package be.ulg.hoessen.martinLeon.crawler;

import java.net.URL;

/**
 * Petite classe privée qui permet d'enregistrer deux informations à la fois
 * dans une table de hash
 */
public class URLEnAttente {

    private URL url;
    private int dist;
    private boolean traiterMots;

    /** Instancie une nouvelle URLEnAttente */
    URLEnAttente(URL unUrl, int uneDistance, boolean traiter) {
        //System.out.println("distance: "+distance);
        url = unUrl;
        dist = uneDistance;
        traiterMots = traiter;
    }

    /** Renvoie l'url en attente */
    URL url() {
        return url;
    }

    /** Renvoie sa distance par rapport à la page initiale */
    int distance() {
        return dist;
    }

    /** Renvoie vrai si on doit traiter les mots de la page*/
    boolean traiterMots() {
        return traiterMots;
    }
}
