package be.ulg.hoessen.martinLeon.traitement;

import java.net.URL;
import java.util.ArrayList;

/**
 * Cette classe permet d'afficher simplement les caractères passés en paramètres
 * de la fonction traiterCaractere()
 * @author benjamin, benoit
 */
public class Afficheur implements Traiteur {
    
    /** Liste des url */
    ArrayList<URL> urls;
    /** Liste des mots */
    ArrayList<String> mots;
    
    /**
     * Crée une nouvelle instance  d'Afficheur
     */
    
    public Afficheur() {
        mots = new ArrayList<String>();
        urls = new ArrayList<URL>();
    }
            
    public void terminer() {
        
        System.out.println("Mots:");
        for(int i=0; i< mots.size(); i++){
            System.out.println(new StringBuffer().append('"').
                    append(mots.get(i)).append('"'));
        }
        
        System.out.println("URL:");
        for(int i=0; i< urls.size(); i++){
            System.out.println(urls.get(i));
        }
    }

    public void traiterMot(String mot) {
        mots.add(mot);
    }

    public void traiterURL(URL url) {
        urls.add(url);
    }
    
}
